# Get Trade

## Get a trade

<mark style="color:green;">`GET`</mark> `/trades/:trade_id`

Get a trade details

**Headers**

| Name       | Value                 |
| ---------- | --------------------- |
| X-API-Key  | `API Key`             |
| X-API-Sign | `Generated Signature` |

**Path Params**&#x20;

<table><thead><tr><th>Name</th><th>Type</th><th data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>trade_id</code></td><td>number</td><td>true</td><td>The ID of the trade to return</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Request processed successfully",
    "data": {
        "id": 653,
        "timestamp": "2024-03-23 21:42:16",
        "type": "buy",
        "order_id": 414,
        "order_type": "limit",
        "pair_id": 679,
        "pair": "NIZA/EUR",
        "volume": {
            "amount": "54.10027025",
            "currency": "NIZA"
        },
        "price": {
            "amount": "0.01450000",
            "currency": "NIZA/EUR"
        },
        "cost": {
            "amount": "0.78445392",
            "currency": "EUR"
        },
        "fee": {
            "amount": "0.78445392",
            "currency": "NIZA"
        },
        "transaction_id": "TTXR7L-IC8HD-BFND2K",
        "leverage": null
    },
    "code": 200
}
```

{% endtab %}

{% tab title="404" %}

```json
{
    "success": false,
    "message": "No query results for model 6534",
    "error": {
        "message": "No query results for model 6534",
        "code": 404
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.niza.io/authenticated-endpoints/trades/get-trade.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
